Package org.flowable.engine.delegate.event.impl

# Class FlowableActivityEventImpl

java.lang.Object
org.flowable.common.engine.impl.event.FlowableEventImpl
org.flowable.common.engine.impl.event.FlowableEngineEventImpl
org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl
org.flowable.engine.delegate.event.impl.FlowableActivityEventImpl

All Implemented Interfaces:
  `FlowableEngineEvent`, `FlowableEvent`, `FlowableActivityEvent`, `FlowableProcessEngineEvent`

Direct Known Subclasses:
  `FlowableActivityCancelledEventImpl`, `FlowableConditionalEventImpl`, `FlowableErrorEventImpl`, `FlowableEscalationEventImpl`, `FlowableMessageEventImpl`, `FlowableMultiInstanceActivityEventImpl`, `FlowableSignalEventImpl`

public class FlowableActivityEventImpl extends FlowableProcessEventImpl implements FlowableActivityEvent
Implementation of an `FlowableActivityEvent`.

Author:
  Frederik Heremans, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `activityId`
  `protected String`
  `activityName`
  `protected String`
  `activityType`
  `protected String`
  `behaviorClass`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `scopeDefinitionId, scopeId, scopeType, subScopeId`

  ### Fields inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlowableActivityEventImpl(FlowableEngineEventType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivityId()`
  `String`
  `getActivityName()`
  `String`
  `getActivityType()`
  `String`
  `getBehaviorClass()`
  `void`
  `setActivityId(String activityId)`
  `void`
  `setActivityName(String activityName)`
  `void`
  `setActivityType(String activityType)`
  `void`
  `setBehaviorClass(String behaviorClass)`

  ### Methods inherited from class org.flowable.engine.delegate.event.impl.FlowableProcessEventImpl

  `getExecution`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEngineEventImpl

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId, getType, setExecutionId, setProcessDefinitionId, setProcessInstanceId, setScopeDefinitionId, setScopeId, setScopeType, setSubScopeId, setType`

  ### Methods inherited from class org.flowable.common.engine.impl.event.FlowableEventImpl

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEngineEvent

  `getExecutionId, getProcessDefinitionId, getProcessInstanceId, getScopeDefinitionId, getScopeId, getScopeType, getSubScopeId`

  ### Methods inherited from interface org.flowable.common.engine.api.delegate.event.FlowableEvent

  `getType`

- ## Field Details

  - ### activityId

    protected String activityId

  - ### activityName

    protected String activityName

  - ### activityType

    protected String activityType

  - ### behaviorClass

    protected String behaviorClass

- ## Constructor Details

  - ### FlowableActivityEventImpl

    public FlowableActivityEventImpl(FlowableEngineEventType type)

- ## Method Details

  - ### getActivityId

    public String getActivityId()
    Specified by:
      `getActivityId` in interface `FlowableActivityEvent`
    Returns:
      the id of the activity this event is related to. This corresponds to an id defined in the process definition.

  - ### setActivityId

    public void setActivityId(String activityId)

  - ### getActivityName

    public String getActivityName()
    Specified by:
      `getActivityName` in interface `FlowableActivityEvent`
    Returns:
      the name of the activity this event is related to.

  - ### setActivityName

    public void setActivityName(String activityName)

  - ### getActivityType

    public String getActivityType()
    Specified by:
      `getActivityType` in interface `FlowableActivityEvent`
    Returns:
      the type of the activity (if set during parsing).

  - ### setActivityType

    public void setActivityType(String activityType)

  - ### getBehaviorClass

    public String getBehaviorClass()
    Specified by:
      `getBehaviorClass` in interface `FlowableActivityEvent`
    Returns:
      the behaviourclass of the activity (if it could be determined)

  - ### setBehaviorClass

    public void setBehaviorClass(String behaviorClass)